import { defineComponent as m, mergeModels as u, useModel as d, createElementBlock as p, openBlock as s, createVNode as c, createElementVNode as l, unref as e, toDisplayString as f } from "vue";
import { useI18n as b } from "vue-i18n";
import { d as _ } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import { b as r } from "./current-date.json_vue_type_i18n_index_0_src_true_lang-CK3ElOPg.js";
const h = {
  href: "https://www.php.net/manual/de/datetime.format.php",
  target: "_blank"
}, V = /* @__PURE__ */ m({
  __name: "DateToStringExtension",
  props: /* @__PURE__ */ u({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const t = d(n, "modelValue"), { t: o } = b();
    return (g, a) => (s(), p("div", null, [
      c(e(_), {
        modelValue: t.value.format,
        "onUpdate:modelValue": a[0] || (a[0] = (i) => t.value.format = i),
        label: e(o)("datahub-plugin.etl.current-date.Format"),
        "max-width": "567",
        "persistent-placeholder": ""
      }, null, 8, ["modelValue", "label"]),
      l("div", null, [
        l("a", h, f(e(o)("datahub-plugin.etl.current-date.FormatDocumentation")), 1)
      ])
    ]));
  }
});
typeof r == "function" && r(V);
export {
  V as default
};
